Advertisement
Guest User

Untitled

a guest
Jan 24th, 2013
36
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 0.82 KB | None | 0 0
  1. # Copyright 1999-2013 Gentoo Foundation
  2. # Distributed under the terms of the GNU General Public License v2
  3. # $Header: $
  4.  
  5. EAPI=4
  6.  
  7. DESCRIPTION="Ubuntu UI Toolkit Preview"
  8. HOMEPAGE="https://launchpad.net/ubuntu-ui-toolkit"
  9. SRC_URI=""
  10.  
  11. inherit bzr
  12.  
  13. EBZR_REPO_URI="lp:ubuntu-ui-toolkit"
  14.  
  15. LICENSE=""
  16. SLOT="0"
  17. KEYWORDS="~amd64"
  18. IUSE=""
  19.  
  20. DEPEND=""
  21. RDEPEND="${DEPEND}"
  22.  
  23. src_prepare() {
  24. sed -i -e "s:/opt:/usr/$(get_libdir):" documentation/documentation.pri
  25. }
  26.  
  27. src_compile() {
  28. emake -j1 || die "emake failed"
  29. }
  30.  
  31. src_configure() {
  32. /usr/$(get_libdir)/qt5/bin/qmake ${S}
  33.  
  34. # was qmake successful?
  35. if ! eend $? ; then
  36. echo
  37. eerror "Running qmake has failed! (see above for details)"
  38. echo
  39. die "eqmake5 failed"
  40. fi
  41. }
  42.  
  43. src_install() {
  44. emake INSTALL_ROOT="${D}" install || die "Install failed"
  45. }
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement